## GnomeDbEntryTime

GnomeDbEntryTime —

## Synopsis

                GnomeDbEntryTime;
                GnomeDbEntryTimePrivate;
    GType       gnome_db_entry_time_get_type    (void);
    GtkWidget*  gnome_db_entry_time_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryTime

## Implemented Interfaces

GnomeDbEntryTime implements AtkImplementorIface, GtkCellEditable and GnomeDbDataEntry.

## Properties

      "editing-cancelled"    gboolean              : Read

## Description

## Details

### GnomeDbEntryTime

    typedef struct _GnomeDbEntryTime GnomeDbEntryTime;

### GnomeDbEntryTimePrivate

    typedef struct _GnomeDbEntryTimePrivate GnomeDbEntryTimePrivate;

### gnome_db_entry_time_get_type ()

    GType       gnome_db_entry_time_get_type    (void);

Returns : |

### gnome_db_entry_time_new ()

    GtkWidget*  gnome_db_entry_time_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget

## Property Details

### The "`editing-cancelled`" property

      "editing-cancelled"    gboolean              : Read

Default value: FALSE